/* <<<<<<<<<<<<<<<<<<<<<<<<公共样式开始>>>>>>>>>>>>>>>>>>>>>>>>>> */

* {
  box-sizing: border-box;
}

html {
  height: 100%;
}

/* ----------------------------------- 背景  */

body {
  font-size: 14px !important;
  color: #333333;
  font-family: 微软雅黑;
  height: 100%;
  margin: 0px;
  background-color: #d7d7d7;
}

/* yanse*/
.white {
  color: white;
}
.red {
  color: #f10509;
}
.bgc-red {
  background-color: #f10509 !important;
}

.blue {
  color: #409eff;
}
.orange {
  color: #fd9403;
}

.dark-blue {
  color: #005fa2;
}

.pink {
  color: #d56de1;
}
.green {
  color: #67c23a;
}
.dark-green {
  color: #008c8c;
}
.f-right {
  float: right;
}

.red-bgc {
  background-color: #f10509;
}
.green-bgc {
  background-color: #67c23a;
}

/* ----------------------------------- 测试div  */

.d-test {
  background-color: lightblue;
  border: 1px dashed black;
}

/* 滚动条样式 */

.el-table::-webkit-scrollbar {
  width: 0.4rem;
  height: 0.5rem;
  background-color: white;
  border-radius: 3px;
}

.el-table::-webkit-scrollbar-thumb {
  background-color: #409eff;
  border-radius: 3px;
}

/* 侧边栏样式 */

.el-submenu .el-menu-item {
  height: 35px !important;
  line-height: 35px !important;
}

.el-menu-item,
.el-submenu__title {
  height: 45px !important;
  line-height: 45px !important;
}

/* ----------------------------------按钮基础样式 */

button {
  -webkit-border-radius: 3;
  -moz-border-radius: 3;
  border-radius: 3px;
  font-family: Arial;
  color: #ffffff;
  font-size: 0.8em;
  background: #409eff;
  text-decoration: none;
  border: 0px;
  box-sizing: border-box;
}

/* 按钮图标 */

[class*=" el-icon-"],
[class^="el-icon-"] {
  /* font-size: 16px; */
}

.el-button + .el-button {
  margin: 0;
}

.icon {
  font-size: 16px;
}

/* ************************************按钮颜色-橙色 */

.btn-orange {
  background-color: #f59a23;
  color: white;
}

.btn-orange:hover {
  background-color: rgb(194, 121, 26);
  color: white;
}

/*-------------------------------- 输入框基础样式 */

input {
  -webkit-border-radius: 3;
  -moz-border-radius: 3;
  border-radius: 3px;
  font-family: Arial;
  color: black;
  font-size: 0.8em;
  background: white;
  padding: 0.84em 2.5em 0.84em 1em;
  text-decoration: none;
  border: 1px solid #cccccc;
  box-sizing: border-box;
}

input:hover,
input:active {
  border: 1px solid #0061a7;
  box-sizing: border-box;
}

input::-webkit-input-placeholder {
  color: f0f0f0;
  font-size: 0.9em;
}

.gray-input {
  font-family: Arial;
  color: black;
  font-size: 0.8rem;
  background: white;
  padding: 0.84em 2.5em 0.84em 1em;
  text-decoration: none;
  box-sizing: border-box;
  width: 78%;
  height: 20px;
  border-radius: 0px;
  border: 0px;
  border-bottom: 1px solid #999999;
}

.gray-input:hover {
  border-bottom: 1px solid #0061a7;
  box-sizing: border-box;
}

/* -----------------------------------------------------宽度 */

/* ****************************************撑满整个div */

.all-full {
  width: 100%;
  display: block;
  margin: 1em auto;
}

/* ****************************************居中元素撑满98% */

.full {
  width: 98%;
  display: block;
  margin: 1em auto;
}

/* ------------------------------------------------------高度 */

/* ****************************************2em */

.h-2em {
  height: 2em;
  text-align: center;
  line-height: em;
}

/* ****************************************3em% */

.h-3em {
  height: 3em;
  text-align: center;
  line-height: em;
}

/* ------------------------------------------------------浮动 */

/* ****************************************左浮动 */

.left {
  float: left;
}

.left-margin10px {
  float: left;
  margin-left: 10px;
}

/*****************************************右浮动 */

.right {
  float: right;
}

.right-margin10px {
  float: right;
  margin-right: 10px;
}

/* ------------------------------------------------------flex布局 */

/* ****************************************两栏布局，左1右4 */

#app {
  height: 100%;
  box-sizing: border-box;
}

.workspace {
  display: flex;
  justify-content: space-evenly;
  align-items: flex-start;
  flex-wrap: nowrap;
  height: 100%;
  box-sizing: border-box;
}

.workspace-left {
  flex: 1;
  height: 100%;
  padding: 8px;
  display: flex;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
}

.workspace-right {
  flex: 5;
  padding: 0px;
  display: flex;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
  margin: 5px;
}

/* ****************************************子元素居中 */

.child-in-middle {
  display: flex;
  justify-content: center;
  align-items: center;
}

/* ****************************************子元素垂直居中 */

.child-in-middle-ver {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

/* ------------------------------------------------------flex布局 */

/* ****************************************两栏布局，左1右4 */

.flex-row {
  display: flex;
}

.f-between {
  justify-content: space-between;
}

.flex-vertical {
  display: flex;
  flex-direction: column;
}

.f-0 {
  flex: 0;
}

.f-1 {
  flex: 1;
}

.f-2 {
  flex: 2;
}

.f-3 {
  flex: 3;
}

.f-4 {
  flex: 4;
}

.f-5 {
  flex: 5;
}

.f-6 {
  flex: 6;
}

.f-7 {
  flex: 7;
}

.f-8 {
  flex: 8;
}

.f-9 {
  flex: 9;
}

.f-10 {
  flex: 10;
}

.f-11 {
  flex: 11;
}

.f-12 {
  flex: 12;
}

.f-13 {
  flex: 13;
}

.f-14 {
  flex: 14;
}

.f-15 {
  flex: 15;
}

.f-16 {
  flex: 16;
}

.f-07 {
  flex: 0.7;
}

.fg-1 {
  flex-grow: 1;
}

/* ------------------------------------------------------字体 */

.t-left {
  text-align: left;
}

.t-left-padding {
  text-align: left;
  padding-left: 1em;
}

.t-left-padding-all {
  text-align: left;
  padding: 0.5em;
}

.t-right {
  text-align: right !important;
}

.t-right-padding {
  text-align: right !important;
  padding-right: 1em !important;
}

.t-center {
  text-align: center;
}

.t-bold {
  font-weight: bold;
}

/* ------------------------------------------------------字体颜色 */

.white {
  color: white;
}

.gray {
  color: #999999;
}

.blue {
  color: #409eff;
}

.bgc-white {
  width: 100%;
  height: 100%;
  background-color: white;
}

.bgc-d7 {
  width: 100%;
  height: 100%;
  background-color: #d7d7d7;
}

/* ------------------------------------------------------字体大小 */

/* .rem0.8 {
  font-size: 0.8rem;
}

.rem0.9 {
  font-size: 0.9rem;
}

.rem1 {
  font-size: 1rem;
}

.rem1.1 {
  font-size: 1.1rem;
}

.rem1.2 {
  font-size: 1.2em;
}

.rem1.3 {
  font-size: 1.3em;
}

.rem1.4 {
  font-size: 1.4em;
}

.rem1.5 {
  font-size: 1.5em;
}

.rem1.6 {
  font-size: 1.6em;
} */
/* 字体 */
/*小 字体大小  */
.miniFz {
  font-size: 0.75rem;
}
.smallFz {
  font-size: 0.875rem;
}
/*标准 字体  */
.standardFz {
  font-size: 1rem;
}
/* 小大 */
.smallBigFz {
  font-size: 1.25rem;
}
/* 大 */
.bigFz {
  font-size: 1.5rem;
}
/* ------------------------------------------------------影藏 */

.hidden {
  visibility: hidden;
}

.inline-block {
  display: inline-block !important;
}

.line-d7 {
  width: 100%;
  height: 0px;
  border-top: 1px solid #d7d7d7;
}

.line-black {
  width: 100%;
  height: 0px;
  border-top: 1px solid black;
}

.title-evenly {
  display: flex;
  justify-content: space-evenly;
}

.title1 {
  width: 100%;
  height: 60px;
  background-image: linear-gradient(110deg, #409eff 0%, #276ace 100%);
  border-radius: 10px 10px 0 0;
  font-size: 1.5rem;
  color: white;
  padding: 1rem;
  min-height: 55px;
  margin-bottom: 0.5%;
  line-height: 30px;
  box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.5);
}

/* ------------------------------------------------------表格样式 */

/* 滚动条 */

.el-table__body-wrapper::-webkit-scrollbar {
  width: 0.4rem;
  height: 0.5rem;
  background-color: white;
  border-radius: 3px;
}

.el-table__body-wrapper::-webkit-scrollbar-thumb {
  background-color: #409eff;
  border-radius: 3px;
}

/* 表格行hover */

/* .el-table tbody tr:hover>td {
    background-color: #409EFF !important;
    color: white;
    transition: all 0.5s;
} */

/* .el-table tbody tr:hover .el-button {
    color: white;
    transition: all 0.5s;
} */

.el-table tbody td {
  padding: 5px 0 !important;
  transition: all 0.5s;
}
/* 
.el-table--enable-row-hover .el-table__body tr :hover>.el-button {
    background-color: #409EFf;
    color: white;
    transition: all 0.5s;
} */

/* 表头文字样式 */

.el-table thead {
  color: #333333;
}

/* 表头行背景样式 */

.el-table th {
  background-color: #f5f5f5;
}

/* 表头字体 */

.el-table th > .cell {
  font-size: 14px;
  font-weight: 550;
}

/* 表头下边框颜色 */

.el-table td,
.el-table th.is-leaf {
  border-bottom: 1px solid #333333;
}

/* td格子字体样式 */

.el-table .cell {
  font-size: 12px;
}

/* 内边框颜色 */

.el-table td,
.building-top .el-table th.is-leaf {
  border-bottom: 1px solid #e4e4e4;
}

/* 竖向内边框颜色 */

.el-table--border td,
.el-table--border th,
.el-table__body-wrapper.el-table--border.is-scrolling-left ~ .el-table__fixed {
  border-right: 1px solid #e4e4e4;
}

/* 底部框颜色 */

.el-table::before {
  border-bottom: 1px solid #e4e4e4;
  height: 1px;
}

/* 表格行hover */

/* .el-table--enable-row-hover .el-table__body tr:hover>td {
    background-color: #f00;
} */

/* 斑马线背景颜色 */

.el-table--striped .el-table__body tr.el-table__row--striped td {
  background-color: #f5f5f5;
}

/* 最外层边框 */

.el-table {
  border: 1px solid #e4e4e4;
}

.relative {
  position: relative;
}

/* main页面的样式 */

.popover-content .popover-div {
  height: 100px;
  border-radius: 5px;
  display: flex;
  flex-direction: column;
}

.popover-content .popover-div .popover-one {
  text-align: center;
  border-radius: 5px;
  margin: 3px 0;
}

.popover-content .popover-div .popover-one:hover {
  background-color: #e4e4e4;
  color: blue;
  font-weight: bold;
  cursor: pointer;
}

.popover-content .popover-one i {
  font-style: normal;
  line-height: 50px;
}

.popover-content .popover-div .popover-two .one-line {
  background-color: white;
  padding: 4px 8px;
  cursor: pointer;
  position: relative;
}

.no-read {
}

.popover-content .popover-div .popover-two .one-line:hover {
  background-color: #efefef;
}

.popover-content .popover-div .popover-two .one-line .up {
  margin: 5px 0 6px 0;
}

.popover-content .popover-div .popover-two .one-line .up .up-right {
  color: #333333;
  font-size: 10px;
  text-align: right;
  display: inline-block;
  float: right;
}

.popover-content .popover-div .popover-two .one-line .up .up-left {
  color: #333;
  font-size: 16px;
  text-align: left;
  display: inline-block;
  font-weight: bold;
}

.popover-content .popover-div .popover-two .one-line .down {
  font-size: 10px;
  color: #333333;
}

.popover-content .popover-div {
  height: auto;
  max-height: 600px;
  overflow-x: hidden;
  overflow-y: scroll;
}

.popover-content .popover-div::-webkit-scrollbar {
  width: 0.4rem;
  height: 0.5rem;
  background-color: white;
  border-radius: 3px;
}

.popover-content .popover-div::-webkit-scrollbar-thumb {
  background-color: #409eff;
  border-radius: 3px;
}

.popbox .middlebar::-webkit-scrollbar {
  width: 0.4rem;
  height: 0.5rem;
  background-color: white;
  border-radius: 3px;
}
.popbox .middlebar::-webkit-scrollbar-thumb {
  background-color: #409eff;
  border-radius: 3px;
}

.el-badge__content.is-fixed {
  top: -2px !important;
  right: 30px !important;
  z-index: 100 !important ;
}
/* 安放刷新按钮样式开始 */
.to-left {
  text-align: left;
  flex-grow: 1;
  width: 100%;
  display: inline-block;
}
.to-right {
  text-align: right;
  flex-grow: 1;
  width: 100%;
  display: inline-block;
}

.refurbish {
  width: 26px;
  height: 26px;
  display: inline-block;
  margin-right: 15px;
  line-height: 40px;
}
.refurbish-img {
  width: 26px;
  height: 26px;
  cursor: pointer;
}

.refurbish-img:hover {
  width: 28px;
  height: 28px;
  transition: all 0.2s;
}

.text-gray {
  color: #999999;
}

.input-inline {
  width: 180px;
}
/* 放大预览层级 */
body .el-image-viewer__wrapper {
  z-index: 3000 !important;
}

body .el-image-viewer__wrapper .el-image-viewer__close {
  background: #999;
}
